package nu.zoom.dsl.maven;

import nu.zoom.dsl.run.Logger;
import org.apache.maven.plugin.logging.Log;

public class MavenLogger implements Logger {
    private final Log delegate;

    public MavenLogger(Log delegate) {
        this.delegate = delegate;
    }

    @Override
    public void println(String message) {
        this.delegate.debug(message);
    }
}
